Bug 828360 - (CVE-2012-2388) CVE-2012-2388 strongswan: authentication bypass due to RSA signature verification flaw
CVE-2012-2388 strongswan: authentication bypass due to RSA signature verifica...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120531,repor...
: Security
Depends On: 828361 828362
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 13:12 EDT by Vincent Danen
Modified: 2012-07-09 21:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 21:11:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-06-04 13:12:24 EDT
strongSwan 4.6.4 was released [1] to fix a security flaw in 4.2.0 through to 4.6.3.  If the gmp plugin were used for RSA signature verification with IKEv1 or IKEv2, an empty or zeroed signature was handled as a legitimate one.  A connection definition using RSA authentication is required to exploit this flaw, and an attacker presenting a forged signature and/or certificate could authenticate as any legitimate user.

The fix is present in version 4.6.4 or as a patch [2].

[1] http://www.strongswan.org/blog/2012/05/31/strongswan-4.6.4-released-(cve-2012-2388).html
[2] http://download.strongswan.org/patches/09_gmp_rsa_signature_patch/strongswan-4.2.0-4.6.3_gmp_rsa_signature.patch
Comment 1 Vincent Danen 2012-06-04 13:15:00 EDT
Created strongswan tracking bugs for this issue

Affects: fedora-all [bug 828361]
Affects: epel-6 [bug 828362]

Note You need to log in before you can comment on or make changes to this bug.